{
  "Activities": [
    {
      "ActivityId": "7250cdbc-ca3e-46d8-bee7-f128f148c62a",
      "AutoScalingGroupName": "TestAutoScalingGroup",
      "Cause": "At 2014-05-10T23:44:49Z a monitor alarm TestLowCPUAlarm in state ALARM triggered policy TestScaleDownPolicy changing the desired capacity from 2 to 1.  At 2014-05-10T23:45:17Z an instance was taken out of service in response to a difference between desired and actual capacity, shrinking the capacity from 2 to 1.  At 2014-05-10T23:45:17Z instance i-4e7aad1d was selected for termination.",
      "Description": "Terminating EC2 instance: i-4e7aad1d",
      "Details": "{\"InvokingAlarms\":[{\"Region\":\"US - N. Virginia\",\"OldStateValue\":\"OK\",\"AWSAccountId\":\"689664445651\",\"AlarmName\":\"TestLowCPUAlarm\",\"AlarmDescription\":null,\"StateChangeTime\":1399765488887,\"NewStateReason\":\"Threshold Crossed: 1 datapoint (27.46444444444445) was less than the threshold (30.0).\",\"NewStateValue\":\"ALARM\",\"Trigger\":{\"Period\":300,\"Statistic\":\"AVERAGE\",\"MetricName\":\"CPUUtilization\",\"Threshold\":30,\"EvaluationPeriods\":1,\"Dimensions\":[{\"name\":\"AutoScalingGroupName\",\"value\":\"TestAutoScalingGroup\"}],\"Namespace\":\"AWS/EC2\",\"ComparisonOperator\":\"LessThanThreshold\",\"Unit\":null}}],\"Availability Zone\":\"us-east-1c\"}",
      "EndTime": 1399765578,
      "Progress": 100,
      "StartTime": 1399765517.142,
      "StatusCode": "Successful"
    },
    {
      "ActivityId": "a261051c-3ec7-41dc-8918-a1a5153404d2",
      "AutoScalingGroupName": "TestAutoScalingGroup",
      "Cause": "At 2014-05-10T23:37:38Z a monitor alarm TestHighCPUAlarm in state ALARM triggered policy TestScaleUpPolicy changing the desired capacity from 1 to 2.  At 2014-05-10T23:37:45Z an instance was started in response to a difference between desired and actual capacity, increasing the capacity from 1 to 2.",
      "Description": "Launching a new EC2 instance: i-70845223",
      "Details": "{\"InvokingAlarms\":[{\"Region\":\"US - N. Virginia\",\"OldStateValue\":\"OK\",\"AWSAccountId\":\"689664445651\",\"AlarmName\":\"TestHighCPUAlarm\",\"AlarmDescription\":null,\"StateChangeTime\":1399765058262,\"NewStateReason\":\"Threshold Crossed: 1 datapoint (82.61500000000001) was greater than the threshold (75.0).\",\"NewStateValue\":\"ALARM\",\"Trigger\":{\"Period\":300,\"Statistic\":\"AVERAGE\",\"MetricName\":\"CPUUtilization\",\"Threshold\":75,\"EvaluationPeriods\":1,\"Dimensions\":[{\"name\":\"AutoScalingGroupName\",\"value\":\"TestAutoScalingGroup\"}],\"Namespace\":\"AWS/EC2\",\"ComparisonOperator\":\"GreaterThanThreshold\",\"Unit\":null}}],\"Availability Zone\":\"us-east-1c\"}",
      "EndTime": 1399765097,
      "Progress": 100,
      "StartTime": 1399765065.106,
      "StatusCode": "Successful"
    },
    {
      "ActivityId": "9f84e267-f5d7-4236-b07b-7d0b23225194",
      "AutoScalingGroupName": "TestAutoScalingGroup",
      "Cause": "At 2014-05-10T23:30:48Z a monitor alarm TestLowCPUAlarm in state ALARM triggered policy TestScaleDownPolicy changing the desired capacity from 2 to 1.  At 2014-05-10T23:31:14Z an instance was taken out of service in response to a difference between desired and actual capacity, shrinking the capacity from 2 to 1.  At 2014-05-10T23:31:14Z instance i-c6469195 was selected for termination.",
      "Description": "Terminating EC2 instance: i-c6469195",
      "Details": "{\"InvokingAlarms\":[{\"Region\":\"US - N. Virginia\",\"OldStateValue\":\"ALARM\",\"AWSAccountId\":\"689664445651\",\"AlarmName\":\"TestLowCPUAlarm\",\"AlarmDescription\":null,\"StateChangeTime\":1399763568880,\"NewStateReason\":\"Threshold Crossed: 1 datapoint (28.798888888888897) was less than the threshold (30.0).\",\"NewStateValue\":\"ALARM\",\"Trigger\":{\"Period\":300,\"Statistic\":\"AVERAGE\",\"MetricName\":\"CPUUtilization\",\"Threshold\":30,\"EvaluationPeriods\":1,\"Dimensions\":[{\"name\":\"AutoScalingGroupName\",\"value\":\"TestAutoScalingGroup\"}],\"Namespace\":\"AWS/EC2\",\"ComparisonOperator\":\"LessThanThreshold\",\"Unit\":null}}],\"Availability Zone\":\"us-east-1c\"}",
      "EndTime": 1399764738,
      "Progress": 100,
      "StartTime": 1399764674.537,
      "StatusCode": "Successful"
    },
    {
      "ActivityId": "14fa9617-c64d-4f21-8558-8501f45e4aa8",
      "AutoScalingGroupName": "TestAutoScalingGroup",
      "Cause": "At 2014-05-10T23:24:48Z a monitor alarm TestLowCPUAlarm in state ALARM triggered policy TestScaleDownPolicy changing the desired capacity from 3 to 2.  At 2014-05-10T23:25:13Z an instance was taken out of service in response to a difference between desired and actual capacity, shrinking the capacity from 3 to 2.  At 2014-05-10T23:25:14Z instance i-8470a7d7 was selected for termination.",
      "Description": "Terminating EC2 instance: i-8470a7d7",
      "Details": "{\"InvokingAlarms\":[{\"Region\":\"US - N. Virginia\",\"OldStateValue\":\"ALARM\",\"AWSAccountId\":\"689664445651\",\"AlarmName\":\"TestLowCPUAlarm\",\"AlarmDescription\":null,\"StateChangeTime\":1399763568880,\"NewStateReason\":\"Threshold Crossed: 1 datapoint (27.360714285714288) was less than the threshold (30.0).\",\"NewStateValue\":\"ALARM\",\"Trigger\":{\"Period\":300,\"Statistic\":\"AVERAGE\",\"MetricName\":\"CPUUtilization\",\"Threshold\":30,\"EvaluationPeriods\":1,\"Dimensions\":[{\"name\":\"AutoScalingGroupName\",\"value\":\"TestAutoScalingGroup\"}],\"Namespace\":\"AWS/EC2\",\"ComparisonOperator\":\"LessThanThreshold\",\"Unit\":null}}],\"Availability Zone\":\"us-east-1c\"}",
      "EndTime": 1399764374,
      "Progress": 100,
      "StartTime": 1399764314.026,
      "StatusCode": "Successful"
    },
    {
      "ActivityId": "0e3e5f23-8d39-4fc9-86cb-65d1830d4fef",
      "AutoScalingGroupName": "TestAutoScalingGroup",
      "Cause": "At 2014-05-10T23:18:48Z a monitor alarm TestLowCPUAlarm in state ALARM triggered policy TestScaleDownPolicy changing the desired capacity from 4 to 3.  At 2014-05-10T23:19:13Z an instance was taken out of service in response to a difference between desired and actual capacity, shrinking the capacity from 4 to 3.  At 2014-05-10T23:19:13Z instance i-db4d9a88 was selected for termination.",
      "Description": "Terminating EC2 instance: i-db4d9a88",
      "Details": "{\"InvokingAlarms\":[{\"Region\":\"US - N. Virginia\",\"OldStateValue\":\"ALARM\",\"AWSAccountId\":\"689664445651\",\"AlarmName\":\"TestLowCPUAlarm\",\"AlarmDescription\":null,\"StateChangeTime\":1399763568880,\"NewStateReason\":\"Threshold Crossed: 1 datapoint (25.63315789473684) was less than the threshold (30.0).\",\"NewStateValue\":\"ALARM\",\"Trigger\":{\"Period\":300,\"Statistic\":\"AVERAGE\",\"MetricName\":\"CPUUtilization\",\"Threshold\":30,\"EvaluationPeriods\":1,\"Dimensions\":[{\"name\":\"AutoScalingGroupName\",\"value\":\"TestAutoScalingGroup\"}],\"Namespace\":\"AWS/EC2\",\"ComparisonOperator\":\"LessThanThreshold\",\"Unit\":null}}],\"Availability Zone\":\"us-east-1c\"}",
      "EndTime": 1399764011,
      "Progress": 100,
      "StartTime": 1399763953.518,
      "StatusCode": "Successful"
    },
    {
      "ActivityId": "2d6a4cde-1290-470d-a59f-4073a6010a2a",
      "AutoScalingGroupName": "TestAutoScalingGroup",
      "Cause": "At 2014-05-10T23:12:48Z a monitor alarm TestLowCPUAlarm in state ALARM triggered policy TestScaleDownPolicy changing the desired capacity from 5 to 4.  At 2014-05-10T23:13:12Z an instance was taken out of service in response to a difference between desired and actual capacity, shrinking the capacity from 5 to 4.  At 2014-05-10T23:13:12Z instance i-5561b606 was selected for termination.",
      "Description": "Terminating EC2 instance: i-5561b606",
      "Details": "{\"InvokingAlarms\":[{\"Region\":\"US - N. Virginia\",\"OldStateValue\":\"OK\",\"AWSAccountId\":\"689664445651\",\"AlarmName\":\"TestLowCPUAlarm\",\"AlarmDescription\":null,\"StateChangeTime\":1399763568880,\"NewStateReason\":\"Threshold Crossed: 1 datapoint (28.345833333333335) was less than the threshold (30.0).\",\"NewStateValue\":\"ALARM\",\"Trigger\":{\"Period\":300,\"Statistic\":\"AVERAGE\",\"MetricName\":\"CPUUtilization\",\"Threshold\":30,\"EvaluationPeriods\":1,\"Dimensions\":[{\"name\":\"AutoScalingGroupName\",\"value\":\"TestAutoScalingGroup\"}],\"Namespace\":\"AWS/EC2\",\"ComparisonOperator\":\"LessThanThreshold\",\"Unit\":null}}],\"Availability Zone\":\"us-east-1c\"}",
      "EndTime": 1399763633,
      "Progress": 100,
      "StartTime": 1399763592.906,
      "StatusCode": "Successful"
    },
    {
      "ActivityId": "7f97e1e3-2134-4cf9-bea6-8d65403aa52e",
      "AutoScalingGroupName": "TestAutoScalingGroup",
      "Cause": "At 2014-05-10T22:25:38Z a monitor alarm TestHighCPUAlarm in state ALARM triggered policy TestScaleUpPolicy changing the desired capacity from 4 to 5.  At 2014-05-10T22:25:38Z an instance was started in response to a difference between desired and actual capacity, increasing the capacity from 4 to 5.",
      "Description": "Launching a new EC2 instance: i-5561b606",
      "Details": "{\"InvokingAlarms\":[{\"Region\":\"US - N. Virginia\",\"OldStateValue\":\"OK\",\"AWSAccountId\":\"689664445651\",\"AlarmName\":\"TestHighCPUAlarm\",\"AlarmDescription\":null,\"StateChangeTime\":1399760738261,\"NewStateReason\":\"Threshold Crossed: 1 datapoint (75.51263157894738) was greater than the threshold (75.0).\",\"NewStateValue\":\"ALARM\",\"Trigger\":{\"Period\":300,\"Statistic\":\"AVERAGE\",\"MetricName\":\"CPUUtilization\",\"Threshold\":75,\"EvaluationPeriods\":1,\"Dimensions\":[{\"name\":\"AutoScalingGroupName\",\"value\":\"TestAutoScalingGroup\"}],\"Namespace\":\"AWS/EC2\",\"ComparisonOperator\":\"GreaterThanThreshold\",\"Unit\":null}}],\"Availability Zone\":\"us-east-1c\"}",
      "EndTime": 1399760772,
      "Progress": 100,
      "StartTime": 1399760738.984,
      "StatusCode": "Successful"
    },
    {
      "ActivityId": "ec966f6b-84c0-4475-b1a2-984db9902cd5",
      "AutoScalingGroupName": "TestAutoScalingGroup",
      "Cause": "At 2014-05-10T22:12:38Z a monitor alarm TestHighCPUAlarm in state ALARM triggered policy TestScaleUpPolicy changing the desired capacity from 3 to 4.  At 2014-05-10T22:13:06Z an instance was started in response to a difference between desired and actual capacity, increasing the capacity from 3 to 4.",
      "Description": "Launching a new EC2 instance: i-4e7aad1d",
      "Details": "{\"InvokingAlarms\":[{\"Region\":\"US - N. Virginia\",\"OldStateValue\":\"OK\",\"AWSAccountId\":\"689664445651\",\"AlarmName\":\"TestHighCPUAlarm\",\"AlarmDescription\":null,\"StateChangeTime\":1399759958261,\"NewStateReason\":\"Threshold Crossed: 1 datapoint (75.21599999999998) was greater than the threshold (75.0).\",\"NewStateValue\":\"ALARM\",\"Trigger\":{\"Period\":300,\"Statistic\":\"AVERAGE\",\"MetricName\":\"CPUUtilization\",\"Threshold\":75,\"EvaluationPeriods\":1,\"Dimensions\":[{\"name\":\"AutoScalingGroupName\",\"value\":\"TestAutoScalingGroup\"}],\"Namespace\":\"AWS/EC2\",\"ComparisonOperator\":\"GreaterThanThreshold\",\"Unit\":null}}],\"Availability Zone\":\"us-east-1c\"}",
      "EndTime": 1399760019,
      "Progress": 100,
      "StartTime": 1399759986.83,
      "StatusCode": "Successful"
    },
    {
      "ActivityId": "cdd95d1a-8744-42e7-b28b-c3df5956c1d9",
      "AutoScalingGroupName": "TestAutoScalingGroup",
      "Cause": "At 2014-05-10T21:55:38Z a monitor alarm TestHighCPUAlarm in state ALARM triggered policy TestScaleUpPolicy changing the desired capacity from 2 to 3.  At 2014-05-10T21:56:03Z an instance was started in response to a difference between desired and actual capacity, increasing the capacity from 2 to 3.",
      "Description": "Launching a new EC2 instance: i-8470a7d7",
      "Details": "{\"InvokingAlarms\":[{\"Region\":\"US - N. Virginia\",\"OldStateValue\":\"OK\",\"AWSAccountId\":\"689664445651\",\"AlarmName\":\"TestHighCPUAlarm\",\"AlarmDescription\":null,\"StateChangeTime\":1399758938251,\"NewStateReason\":\"Threshold Crossed: 1 datapoint (76.158) was greater than the threshold (75.0).\",\"NewStateValue\":\"ALARM\",\"Trigger\":{\"Period\":300,\"Statistic\":\"AVERAGE\",\"MetricName\":\"CPUUtilization\",\"Threshold\":75,\"EvaluationPeriods\":1,\"Dimensions\":[{\"name\":\"AutoScalingGroupName\",\"value\":\"TestAutoScalingGroup\"}],\"Namespace\":\"AWS/EC2\",\"ComparisonOperator\":\"GreaterThanThreshold\",\"Unit\":null}}],\"Availability Zone\":\"us-east-1c\"}",
      "EndTime": 1399758996,
      "Progress": 100,
      "StartTime": 1399758964.19,
      "StatusCode": "Successful"
    },
    {
      "ActivityId": "ceffe65d-8615-4b5e-8a3a-5514faaab181",
      "AutoScalingGroupName": "TestAutoScalingGroup",
      "Cause": "At 2014-05-10T21:26:38Z a monitor alarm TestHighCPUAlarm in state ALARM triggered policy TestScaleUpPolicy changing the desired capacity from 1 to 2.  At 2014-05-10T21:26:59Z an instance was started in response to a difference between desired and actual capacity, increasing the capacity from 1 to 2.",
      "Description": "Launching a new EC2 instance: i-db4d9a88",
      "Details": "{\"InvokingAlarms\":[{\"Region\":\"US - N. Virginia\",\"OldStateValue\":\"OK\",\"AWSAccountId\":\"689664445651\",\"AlarmName\":\"TestHighCPUAlarm\",\"AlarmDescription\":null,\"StateChangeTime\":1399757198259,\"NewStateReason\":\"Threshold Crossed: 1 datapoint (75.828) was greater than the threshold (75.0).\",\"NewStateValue\":\"ALARM\",\"Trigger\":{\"Period\":300,\"Statistic\":\"AVERAGE\",\"MetricName\":\"CPUUtilization\",\"Threshold\":75,\"EvaluationPeriods\":1,\"Dimensions\":[{\"name\":\"AutoScalingGroupName\",\"value\":\"TestAutoScalingGroup\"}],\"Namespace\":\"AWS/EC2\",\"ComparisonOperator\":\"GreaterThanThreshold\",\"Unit\":null}}],\"Availability Zone\":\"us-east-1c\"}",
      "EndTime": 1399757252,
      "Progress": 100,
      "StartTime": 1399757219.518,
      "StatusCode": "Successful"
    }
  ]
}